## org.codehaus.groovy.ast
Class AnnotatedNode

Base class for any AST node which is capable of being annotated

author:
  James Strachan

version:
  $Revision: 9029 $

Field Summary
`Map` | `annotationClasses`
`Map` | `annotations`
`ClassNode` | `declaringClass`
`boolean` | `synthetic`

Constructor Summary
`AnnotatedNode()`

Method Summary
`void` | `addAnnotation(String name, AnnotationNode value)`
`void` | `addAnnotations(List annotations)`
`void` | `checkInit()`
`ClassNode` | `getAnnotationClass(String name)`
`Map` | `getAnnotations()`
`AnnotationNode` | `getAnnotations(String name)`
`ClassNode` | `getDeclaringClass()`
`boolean` | `isSynthetic()`
`void` | `setDeclaringClass(ClassNode declaringClass)`
`void` | `setSynthetic(boolean synthetic)`

Constructor Detail

### AnnotatedNode

    public AnnotatedNode()

Method Detail

### addAnnotation

    public void addAnnotation(String name, AnnotationNode value)

### addAnnotations

    public void addAnnotations(List annotations)

### checkInit

    void checkInit()

### getAnnotationClass

    public ClassNode getAnnotationClass(String name)

### getAnnotations

    public Map getAnnotations()

### getAnnotations

    public AnnotationNode getAnnotations(String name)

### getDeclaringClass

    public ClassNode getDeclaringClass()

### isSynthetic

    public boolean isSynthetic()

### setDeclaringClass

    public void setDeclaringClass(ClassNode declaringClass)

  param:
    declaringClass The declaringClass to set.

### setSynthetic

    public void setSynthetic(boolean synthetic)